org.springframework.data.relational.core.conversion

## Enum AggregateChange.Kind

- java.lang.Object
- - java.lang.Enum<AggregateChange.Kind>
  - - org.springframework.data.relational.core.conversion.AggregateChange.Kind

All Implemented Interfaces:
  Serializable, Comparable<AggregateChange.Kind>

Enclosing interface:
  AggregateChange<T>

    public static enum AggregateChange.Kind
    extends Enum<AggregateChange.Kind>

The kind of action to be performed on an aggregate.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELETE` A `DELETE` of an aggregate typically involves a `delete` on all contained entities.
`SAVE` A `SAVE` of an aggregate typically involves an `insert` or `update` on the aggregate root plus `insert`s, `update`s, and `delete`s on the other elements of an aggregate.

### Method Summary

All Methods Static Methods Concrete Methods
`static AggregateChange.Kind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AggregateChange.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SAVE

    public static final AggregateChange.Kind SAVE

A `SAVE` of an aggregate typically involves an `insert` or `update` on the aggregate root plus `insert`s, `update`s, and `delete`s on the other elements of an aggregate.

#### DELETE

    public static final AggregateChange.Kind DELETE

A `DELETE` of an aggregate typically involves a `delete` on all contained entities.

### Method Detail

#### values

    public static AggregateChange.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AggregateChange.Kind c : AggregateChange.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AggregateChange.Kind valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null